Bug 735871 - debugmode debug.csh invalid character class
Summary: debugmode debug.csh invalid character class
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-05 21:08 UTC by Charles R. Anderson
Modified: 2014-03-17 03:28 UTC (History)
5 users (show)

Fixed In Version: initscripts-9.33-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-17 00:46:16 UTC


Attachments (Terms of Use)
patch to fix problem (492 bytes, patch)
2011-09-05 21:11 UTC, Charles R. Anderson
no flags Details | Diff

Description Charles R. Anderson 2011-09-05 21:08:52 UTC
Description of problem:

Due to an invalid grep character class specification in /etc/profile.d/debug.csh, and error message appears on login.  The debugging environment variables fail to be set.

Version-Release number of selected component (if applicable):
initscripts-9.30-2.fc15.i686
debugmode-9.30-2.fc15.i686

How reproducible:
always

Steps to Reproduce:
1. tcsh
2. source  /etc/profile.d/debug.csh.orig 
3. env | grep MALLOC

Actual results:

>source /etc/profile.d/debug.csh.orig 
grep: character class syntax is [[:space:]], not [:space:]
>env | grep MALLOC

Expected results:

>source /etc/profile.d/debug.csh.fixed 
>env | grep MALLOC
MALLOC_CHECK_=1

Comment 1 Charles R. Anderson 2011-09-05 21:11:05 UTC
Created attachment 521546 [details]
patch to fix problem

Comment 2 Bill Nottingham 2011-09-05 21:56:08 UTC
Already fixed in upstream commit da288758df2be2c16593c9afa230984495146eb4, will go out in a bugfix rollup update at some point in the moderately near future.

Comment 3 Fedora Update System 2011-10-12 21:16:11 UTC
initscripts-9.33-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/initscripts-9.33-1.fc16

Comment 4 Fedora Update System 2011-10-13 18:12:45 UTC
Package initscripts-9.33-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing initscripts-9.33-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14259
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-10-17 00:46:16 UTC
initscripts-9.33-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.